Page MenuHomePhabricator

[Story] Make Wikibase add coordinates to GeoData on wikidata.org
Closed, ResolvedPublic

Description

[Please add some description]

Details

Reference
bz73482

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:46 AM
bzimport set Reference to bz73482.
bzimport added a subscriber: Unknown Object (MLST).
hoo created this task.Nov 16 2014, 10:27 AM
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).Dec 1 2014, 2:34 PM
Multichill renamed this task from Make Wikibase add coordinates to GeoData to Make Wikibase add coordinates to GeoData on wikidata.org.Dec 27 2014, 6:43 PM
Multichill updated the task description. (Show Details)
Multichill set Security to None.

Updated both bugs to make the distinction. This bug is to get https://www.wikidata.org/wiki/Special:Nearby to work based on data in Wikidata. The other bug is for sites like the Hebrew Wikipedia where the extension should pull data from Wikidata.

Sjoerddebruin added a subscriber: Sjoerddebruin.

Change 243158 had a related patch set uploaded (by Aude):
Register Wikibase coordinates as GeoData in ParserOutput [WIP]

https://gerrit.wikimedia.org/r/243158

Change 243158 abandoned by Aude:
Register Wikibase coordinates as GeoData in ParserOutput [WIP]

Reason:
in favor of If4ec903 in Wikibase

https://gerrit.wikimedia.org/r/243158

aude added a comment.EditedOct 8 2015, 6:34 PM

after talking with MaxSem, we also need to set a type for each coordinate, if possible and set the dimension field also, if possible.

type could generally come from P31 (instanceof)

dimension could be based on area and length properties

Change 244165 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Add pageImagesPropertyIds configuration for Wikibase servers

https://gerrit.wikimedia.org/r/244165

Change 244165 merged by jenkins-bot:
Add GeoData and PageImages configuration for Wikibase repo wikis

https://gerrit.wikimedia.org/r/244165

after talking with MaxSem, we also need to set a type for each coordinate, if possible and set the dimension field also, if possible.
type could generally come from P31 (instanceof)
dimension could be based on area property

Do you want to have the fixed types listed at https://www.mediawiki.org/wiki/Extension:GeoData#Parser_function or be more flexible?

Jonas renamed this task from Make Wikibase add coordinates to GeoData on wikidata.org to [Story] Make Wikibase add coordinates to GeoData on wikidata.org.Oct 13 2015, 6:07 PM
Jonas updated the task description. (Show Details)
Jonas added a project: Story.

Change 243625 merged by jenkins-bot:
Add geodata to parser output

https://gerrit.wikimedia.org/r/243625

Is GeoData type used for anything besides showing the type in Geohack and as a way to get a better default when dim is not set?
Setting the dim for something from Wikidata has quite a few more ways, the uncomplicated way would be having a property we can directly use for it, but not doing any guessing when it is not there.

GeoHack does not use GeoData. "not doing any guessing when it is not there" is bad, unless a page with coordinates but without a dim is an exception rather than a rule.

For what else is the GeoData type used, than guessing dimension?

aude added a comment.Oct 15 2015, 10:02 AM

@Multichill @MaxSem @JanZerebecki we now have specific task for adding type for Wikibase coordinates and I commented there more how I thought we can handle it:

T115481#1727575

aude added a comment.Oct 15 2015, 10:03 AM

@JanZerebecki type would potentially be used as a consideration for filtering and rendering map features at various zoom levels

aude closed this task as Resolved.Oct 29 2015, 10:46 PM
aude removed a project: Patch-For-Review.
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 26 2017, 11:41 PM